Loading...
Searching...
No Matches
msv_query Struct Reference

a query to the MSVA More...

`#include <msv.h>`

## Data Fields

const char * | context
const char * | peertype
const char * | peername
const char * | pkctype
const char * | pkcdata

## Detailed Description

a query to the MSVA

## Field Documentation

## context

const char* msv_query::context

certificate use context, such as "https", "ssh", or "ike"

## peername

const char* msv_query::peername

name of peer, such as "web.monkeysphere.info"

## peertype

const char* msv_query::peertype

type of peer on remote side, such as "client", "server", or "peer"

## pkcdata

const char* msv_query::pkcdata

public key carrier data encoded in the format specified by pkctype

## pkctype

const char* msv_query::pkctype

format of public key carrier data, such as "x509der", "x509pem", or "opensshpubkey"

The documentation for this struct was generated from the following file:

- msv/msv.h